Public Class Form11

    Private Sub Form11_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'achat2DataSet.factureachat' table. You can move, or remove it, as needed.

        'TODO: This line of code loads data into the 'achatDataSet.factureachat' table. You can move, or remove it, as needed.

        'TODO: This line of code loads data into the 'achat2DataSet.factureachat' table. You can move, or remove it, as needed.
        Form11.xx2(1)

        Me.ReportViewer1.SetDisplayMode(Microsoft.Reporting.WinForms.DisplayMode.PrintLayout)
    End Sub
    Public Shared Sub xx2(ByVal value As Long)

        Form11.factureachatTableAdapter.FillBy(Form11.achat2DataSet.factureachat, value)



    End Sub
   
End Class